Skip to main content
PUT
/
api
/
v1
/
collections
/
{collection_id}
Update Collection
curl --request PUT \
  --url https://api.example.com/api/v1/collections/{collection_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "store_type": "<string>",
  "visibility": "<string>",
  "status": "<string>",
  "tags": [
    "<string>"
  ],
  "parent_id": "<string>",
  "stats": {},
  "meta_data": {},
  "settings": {},
  "embedding": {},
  "source_type": "<string>",
  "source_id": "<string>"
}
'
import requests

url = "https://api.example.com/api/v1/collections/{collection_id}"

payload = {
    "name": "<string>",
    "description": "<string>",
    "store_type": "<string>",
    "visibility": "<string>",
    "status": "<string>",
    "tags": ["<string>"],
    "parent_id": "<string>",
    "stats": {},
    "meta_data": {},
    "settings": {},
    "embedding": {},
    "source_type": "<string>",
    "source_id": "<string>"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    name: '<string>',
    description: '<string>',
    store_type: '<string>',
    visibility: '<string>',
    status: '<string>',
    tags: ['<string>'],
    parent_id: '<string>',
    stats: {},
    meta_data: {},
    settings: {},
    embedding: {},
    source_type: '<string>',
    source_id: '<string>'
  })
};

fetch('https://api.example.com/api/v1/collections/{collection_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "<string>",
  "name": "<string>",
  "workspace_id": "<string>",
  "created_at": "<string>",
  "updated_at": "<string>",
  "description": "<string>",
  "store_type": "<string>",
  "visibility": "private",
  "status": "active",
  "tags": [
    "<string>"
  ],
  "parent_id": "<string>",
  "stats": {},
  "meta_data": {},
  "settings": {},
  "embedding": {},
  "source_type": "document",
  "source_id": "<string>",
  "created_by": "<string>"
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Workspace-Id
string | null

The workspace ID

Path Parameters

collection_id
string
required

Body

application/json

Schema for updating a collection.

name
string | null
Required string length: 1 - 100
description
string | null
Maximum string length: 255
store_type
string | null
visibility
string | null
status
string | null
tags
string[] | null
parent_id
string | null
stats
Stats · object | null
meta_data
Meta Data · object | null
settings
Settings · object | null
embedding
Embedding · object | null
source_type
string | null
source_id
string | null

Response

Successful Response

Schema for reading collection data.

id
string
required

Collection ID

name
string
required

Collection name

Required string length: 1 - 100
workspace_id
string
required

Reference to workspace

created_at
string | null
updated_at
string | null
description
string | null

Collection description

Maximum string length: 255
store_type

Storage type for the collection

visibility
string
default:private

Collection visibility (private/public)

status
string
default:active

Collection status

tags
string[] | null

Collection tags for organization

parent_id
string | null

Reference to parent collection

stats
Stats · object

Collection statistics

meta_data
Meta Data · object

Collection metadata

settings
Settings · object

Collection configuration settings

embedding
EmbeddingModelSettings · object | null

Embedding configuration

source_type
string | null
default:document

Collection source type

source_id
string | null

Collection source ID

created_by
string | null

User who created the collection